/*=============================
	01. Top Header
===============================*/

.top-header-01-main {
  background: var(--tidytouch-black2, #15161b);
}

/* Header styling */
.top-header-01 {
  color: var(--tidytouch-white, #ffffff);
  padding: 0px 0px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 12px;
  flex-wrap: wrap;
}

.top-header-01 .top-header-01-left-section a {
  color: var(--white-color);
  text-decoration: none;
  font-weight: 500;
}

.top-header-01 .top-header-01-left-section a:hover {
  color: black;
  font-weight: 600;
}

/* Left section styling */
.top-header-01-left-section {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  color: var(--white-color);
}

.top-header-01-left-section div {
  margin-right: 30px;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  font-weight: 500;
}

/* Icons styling */
.top-header-01 i {
  margin-right: 5px;
}

/* Right section styling */
.top-header-01-right-section {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}

.top-header-01-right-section a {
  /* color: var(--tidytouch-white, #ffffff); */
  margin-left: 30px;
  text-decoration: none;
  display: flex;
  align-items: center;
  /* background: var(--tidytouch-primary, #ffb400); */
  border-radius: 3px;
  padding: 6px 18px;
  font-weight: 700;
  line-height: 18px;
  transition: all 0.5s ease;
  font-size: 12px;
  gap: 2px;
  text-transform: none;
  /* Animation for hover */
}

.top-header-01-right-section a:hover {
  /* color: var(--tidytouch-primary, #ffb400); */
  /* background-color: var(--tidytouch-white, #ffffff); */
}

/* Responsive layout */
@media (max-width: 992px) {
  .top-header-01 {
    flex-direction: column;
    align-items: flex-start;
  }

  .top-header-01-left-section {
    margin-top: 0px;
    justify-content: center;
    width: 100%;
    margin-bottom: 5px;
  }

  .top-header-01-right-section {
    margin-top: 0px;
    justify-content: center;
    width: 100%;
    margin-bottom: 3px;
  }

  .top-header-01-right-section a {
    margin-left: 0px;
  }

  .top-header-01-right-section a:last-child {
    margin-left: 8px;
  }

  .top-header-01-left-section div {
    margin-right: 0px;
    margin-bottom: 2px;
  }

  .top-header-01-left-section div:last-child {
    margin-left: 13px;
  }
}

/*=================================
	01 Marquee Slider
===================================*/
.main-container__marquee {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  width: 100vw;
  max-width: 100%;
  min-height: 3rem;
  overflow-x: hidden;
  font-size: 18px;
  color: var(--white-color);
  background: var(--theme-color);
  margin: 0;
  z-index: 1;
}
.main-container__marquee-track {
  display: flex;
  gap: 20px;
  white-space: nowrap;
  position: relative;
  display: flex;
  overflow: hidden;
  user-select: none;
}
.main-container__marquee-items {
  flex-shrink: 0;
  display: flex;
  gap: 12px;
  justify-content: space-around;
  min-width: 100%;
  animation: marquee 90s linear infinite;
}
.main-container__marquee-item {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 14px;
  width: auto;
  transition: all 0.1s ease-in-out;
  font-weight: 700;
}
.main-container__marquee-item i {
  margin-right: 12px;
}
@keyframes marquee {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-100%);
  }
}

/*=============================
Featured Section
===============================*/

.featured-section {
  padding-top: 0px;
  margin-top: -87px;
}
#about-sec .img1 img,
#about-sec .jump img {
  border: 7px solid white;
}
.th-service-1 .shape-mockup img {
  opacity: 0.5;
}

.menu-active {
  color: var(--theme-color) !important;
  font-weight: 700 !important;
}

.brand-1-slider img {
  max-width: 130px !important;
}

.left-section-wrapper-contact-us {
  display: flex;
  flex-direction: column;
  justify-content: center; /* vertical center */
  height: 100%; /* parent ka height fix hona chahiye */
}

.footer-default .th-widget-about .about-bottom-title {
  font-size: 16px;
  color: var(--white-color);
  line-height: 1;
  margin-bottom: 11px;
}
.footer-default .th-widget-about .bottom-info {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  gap: 11px;
  -webkit-box-align: baseline;
  -webkit-align-items: baseline;
  -ms-flex-align: baseline;
  align-items: baseline;
}

.footer-default .th-widget-about .bottom-info .icon {
  color: var(--theme-color);
  font-size: 13px;
}

.footer-default .th-widget-about .bottom-info p {
  color: var(--white-color);
  padding-right: 10px;
  margin-bottom: 0;
}

@media (max-width: 575px) {
  .scroll-top {
    bottom: 131px;
  }
}

/*=============================
  bottom bar
===============================*/
@media only screen and (max-width: 899px) {
  .gocube_bottom_bar01 {
    background-color: var(--theme-color);
    border: 2px solid #fff;
    border-radius: 5px;
    clear: none;
    float: left;
    margin: 0;
    padding: 0;
    width: 100%;
    position: fixed;
    bottom: 0;
    left: 0;
    display: block;
    z-index: 999;
  }

  .gocube_bottom_bar01 .botbtn {
    text-align: center;
    margin: 8px auto;
    line-height: 12px;
    color: #fff;
    border-left: 2px solid #fff;
    float: left;
    width: 20%;
    height: auto;
    box-sizing: border-box;
  }

  .gocube_bottom_bar01 .botbtn:nth-child(5) {
    border-right: 1px solid #fff;
  }

  .gocube_bottom_bar01 .botbtn i {
    color: #fff;
    font-size: 15px;
  }

  .gocube_bottom_bar01 .botbtn span {
    color: #fff;
    font-size: 7px;
  }

  body {
    margin-bottom: 49px !important;
  }
}

@media only screen and (min-width: 899px) {
  .gocube_bottom_bar01 a:nth-child(2),
  .gocube_bottom_bar01 a:nth-child(4),
  .gocube_bottom_bar01 a:nth-child(5) {
    display: none;
  }

  .gocube_bottom_bar01 a span {
    display: none;
  }

  .gocube_bottom_bar01 a:nth-child(1) {
    position: fixed;
    width: 40px;
    height: 40px;
    bottom: 63px;
    left: 10px;
    background-color: var(--theme-color);
    color: #fff;
    border-radius: 5px;
    text-align: center;
    font-size: 22px;
    z-index: 100;
  }

  .gocube_bottom_bar01 a:nth-child(3) {
    position: fixed;
    width: 40px;
    height: 40px;
    bottom: 13px;
    left: 10px;
    background-color: #25d366;
    color: #fff;
    border-radius: 5px;
    text-align: center;
    font-size: 22px;
    z-index: 100;
  }

  .gocube_bottom_bar01 a i {
    margin-top: 9px;
    color: #fff;
  }
}
#cost-calculator-modal .close-modal {
  text-align: right;
  color: white;
  font-size: 29px;
  position: absolute;
  right: -10px;
  top: -13px;
  z-index: 5;
}
#make-a-payment-modal .close-modal {
  text-align: right;
  color: white;
  font-size: 29px;
  position: absolute;
  right: 7px;
  top: 2px;
  z-index: 10 !important;
}
#cost-calculator-modal .title-01 {
  background: var(--black-color);
  padding: 10px;
  border-radius: 5px;
  font-size: 15px !important;
}
@keyframes shake {
  0% {
    transform: translateX(0);
  }
  25% {
    transform: translateX(-5px);
  }
  50% {
    transform: translateX(5px);
  }
  75% {
    transform: translateX(-5px);
  }
  100% {
    transform: translateX(0);
  }
}

.shake {
  animation: shake 0.3s; /* 0.3 seconds ka shake animation */
}
.g66b620e88b490 .secondary-text {
  margin-top: 0px;
}
.g66b620e88b490 .ic66b627389c048 {
  color: var(--theme-color) !important;
}

.g66b620e88b490 .main-text {
  padding-bottom: 8px;
}
.all-page-section-content h1 {
  padding-top: 7px !important;
  padding-bottom: 4px !important;
  font-size: 17px !important;
  font-weight: 700 !important;
  line-height: 22px !important;
}
.all-page-section-content h2 {
  padding-top: 8px !important;
  padding-bottom: 4px !important;
  font-size: 16px;
  font-weight: 700;
  line-height: 21px;
  margin-bottom: 0px;
}
.all-page-section-content h3 {
  padding-top: 8px !important;
  padding-bottom: 3px !important;
  font-size: 15px;
  font-weight: 700;
  line-height: 21px;
  margin-bottom: 0px;
}
.all-page-section-content li h3 {
  padding-top: 2px !important;
  padding-bottom: 1px !important;
  font-size: 15px;
  font-weight: 700;
  line-height: 21px;
  margin-bottom: 0px;
}
.all-page-section-content p {
  padding-bottom: 3px !important;
  margin-bottom: 0px !important;
}
.all-page-section-content ol,
.all-page-section-content ul {
  padding: 5px;
  margin: normal;
  padding-left: 2rem;
  margin-bottom: 0px;
}
.all-page-section-content ol li,
.all-page-section-content ul li {
  padding-bottom: 5px;
}

.submenu-active {
  color: var(--theme-color) !important;
  font-weight: 700 !important;
}
.all-page-section-content hr{
  margin: 4px 0px;
}